twintopgrid-container {
  background-color: #333;
  color: #fff;
  padding: 10px 0;
  position: fixed; /* Fixiert den Header am oberen Bildschirmrand */
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  transition: transform 0.3s ease; /* Animation für das Ein- und Ausblenden */
}

twintopgrid-container.hidden {
  transform: translateY(-100%); /* Header nach oben ausblenden */
}



/*bis hier unerforscht*/
.body{
    overflow-y: hidden;
}
.switcher {
    grid-area: 2 / 4 / span 1 / span 1;
    align-self:right;
    justify-self:end;
    font-size:1.2vw;
}
#zuvo :hover{
    cursor: pointer;
}
.switcher li {
    font-size:70%;
}
.twintopgrid-container {
    position:fixed;
    top:0;
    left:0;
    width: 100vw;
    display: grid;
    grid-template-columns: auto 25vw 55vw 10vw auto 17px;
    grid-template-rows:  3vw 2vw 2vw 4vw 5vw;
    padding: 0px;
    z-index:999;
}
.twintopgrid-container > div {
    font-size: 1.5vw;
    line-height:1.5;
}

.colorback {
    grid-area: 1 / 1 / span 5 / span 6;
    background-color: #beff87;
}
.slogan {
    display:block;
    font-size: 1.7vw;
    grid-area: 4 / 3 / span 1 / span 1;
    align-self:end;
    justify-self:center;
    z-index:999;
    margin-bottom: -0.6vw;
}
.trigger{
    grid-area:2 / 3 / span 1 / span 2;
    content: url(https://images.visi-one.com/hubfs/07-22/trigger_gruen.png);
    display: block;
    width:100%;
    height: 100%;
}
.mobilmenuecontainer {
    position: fixed;
    top:11vw;
    right: 0;
    background-color: #BEFF87;
    width: 35vw;
    height:auto;
    display:none;
    padding-top: 4vh;
    padding-bottom: 4vh;
    border: 2px solid #e8e8e8;
    border-radius:2vw;
}

.mobilmenuecontainer li a{
    float:initial;
    padding-left: 2vw;
    padding-right: 15vw;
    font-size: 1.5vw;
    line-height:1.2;
    color: #000;
}
.mobilmenu {
    display:block;
    width: 30%;
    grid-area: 4 / 4 / span 1 / span 1;
    align-self:end;
    justify-self:end;
    margin-top: 1vw;
    z-index:999;
    background-color: #BEFF87;
    margin-bottom: -0.7vw;
}
.changer1{
    content: url(https://images.visi-one.com/hubfs/07-22/hamburger.svg);
}
.changer1:hover, mobilmenu1:active {
    cursor: pointer;
}
.changer2{
    content: url(https://images.visi-one.com/hubfs/07-22/close.svg);
}
.changer2:hover, mobilmenu1:active {
    cursor: pointer;
}
.changer3{
    content: url(https://images.visi-one.com/hubfs/07-22/hamburger_white.svg);
}
.changer3:hover, mobilmenu1:active {
    cursor: pointer;
}
.changer4{
    content: url(https://images.visi-one.com/hubfs/07-22/close_white.svg);
}
.changer4:hover, mobilmenu1:active {
    cursor: pointer;
}
.logo {
    align-self: start;
    grid-area: 3 / 2 / span 1 / span 1;
    width: 100%;
    text-align: left;
}
.logolink{
    grid-area: 3 / 2 / span 1 / span 1;
}
li  {
    float: none;
    list-style-type: none;
    line-height: 0.6;
}

li  a {
    color: #000;
}

@media(min-width: 1400px) {

.twintopgrid-container {
    grid-template-columns: auto 350px 770px 140px auto 17px;
    grid-template-rows:  42px 28px 28px 56px 70px;;
    }  
.twintopgrid-container > div {
        font-size: 16px;
    }
 
.slogan {
    font-size: 25px;
    margin-bottom: -11px;
}
.switcher {
    font-size: 20px;
}
.mobilmenu {
margin-bottom: -7px;
}
.mobilmenuecontainer {
    top:152px;
    left: 65%;
    width: 420px;
    padding-top: 50px;
    padding-bottom: 50px;
    border: 2px solid #e8e8e8;
    border-radius:28px;
}

.mobilmenuecontainer li a{
    padding-left: 2vw;
    padding-right: 15vw;
    font-size: 23px;
}

  
  

@media(max-width: 1050px) {
.twintopgrid-container > div {
        font-size: 1.45vw;
        line-height:1.5;
    }
}
@media(max-width: 900px) {


}
@media(max-width: 900px) {
.twintopgrid-container {
    grid-template-columns: 4vw auto 4vw 17px;
    grid-template-rows:  5vw auto 5vw;
        height: 20.75vw;
    }
.twintopgrid-container > div {
        font-size: 15px; 
    }
.slogan {
    font-size: 15px;
    margin-bottom: -0.6vw;
}
.logo {
        grid-area: 2 / 2 / span 1 / span 1;
       width: 14vw;
        z-index:999;
    }
.mobilmenu {
        display:none;
    }
}



/* CSS NEW MENU */
.custom-navigation{
    display: flex !important;
    align-items: center !important;
}
.logo img{
    width: 100%;
    height: auto;
}
@media(min-width: 551px){
    .hs-menu-children-wrapper{
        position: absolute;
        top: 100%;
        left: 0px;
        min-width: 220px;
        padding: 12px 0px;
        pointer-events: none;
        opacity: 0%;
        visibility: invisible;
        transition: all 0.3s ease-in-out;
    }
    .header-navigation .hs-menu-wrapper > ul > li:hover > .hs-menu-children-wrapper {
        pointer-events: auto;
        opacity: 100%;
        visibility: visible;
        transition-delay: 0s;
    }
    .header-navigation .hs-menu-wrapper > ul > li{
        position: relative;
    }
    .header-navigation .hs-menu-wrapper .hs-menu-children-wrapper > li {
        margin: 0px !important;
    }
    .header-navigation .hs-menu-wrapper .hs-menu-children-wrapper > li {
        padding: 14px 20px;
    }

}

@media(max-width:575px){
.switcher li {
        min-width:60px;text-align:right;}
.slogan {
        font-size: 140% !important;
        margin-bottom: -0.6vw;
}
}